batched_reduction_traits.h File Reference

Defines structural properties of complete batched reduction. D = alpha * Reduction(A) + beta * C. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/shape.h"`
`#include "cutlass/reduction/threadblock_swizzle.h"`
`#include "cutlass/reduction/batched_reduction.h"`
`#include "cutlass/gemm/linear_scaling.h"`
Include dependency graph for batched_reduction_traits.h:

Go to the source code of this file.

## Classes

struct | cutlass::reduction::BatchedReductionTraits< ScalarA_, ScalarC_, ScalarD_, ScalarAlphaBeta_, ScalarAccum_, ReductionSize_, OutputTile_, SubTile_, ThreadShape_, Index_, BlockSwizzle_, maxInReg_, maxOutReg_, Functor_ >
struct | cutlass::reduction::BatchedReductionTraits< ScalarA_, ScalarC_, ScalarD_, ScalarAlphaBeta_, ScalarAccum_, ReductionSize_, OutputTile_, SubTile_, ThreadShape_, Index_, BlockSwizzle_, maxInReg_, maxOutReg_, Functor_ >::Params

## Namespaces

| cutlass
| cutlass::reduction